%define upstream_name    Dancer-Plugin-WindowSession
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Manage Per-Browser-Window sessions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dancer/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Clone)
BuildRequires: perl(Dancer)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module makes it easy to manage per-window session variables (as
opposed to browser-wide session variables).

The common use case is when you expect users of your website to have
multiple web-browser windows open with your web-site, and for each open
window you want to maintain independant set of variables.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml Changes README META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 365254
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 jquelin <jquelin> 0.20.0-1.mga3
+ Revision: 307210
- imported package perl-Dancer-Plugin-WindowSession

